#include <inttypes.h>
//Eigene Funktionen

//-----------Zeitfunktionen------------------------------------------------------

//Wartet ms
void delay_ms(uint16_t ms);

//-----------UART----------------------------------------------------------------

//Sendet ein Byte ber den UART
void uart_tx(unsigned char Byte);

//-----------Umwandlungen--------------------------------------------------------

//Wandelt ein Byte in einen Binrtext um
void char_to_bin(char wert);

//-----------ADU-----------------------------------------------------------------

//ADU des ATMEGA16, bergabeparameter = Kanal
uint16_t ADU_KANAL(uint8_t mux);

//-----------EEPROM--------------------------------------------------------------

//Schreibt ein Byte ins EEPROM, Byte angeben, Adresse ist erstmgliche Position
void EEPROM_schreiben(char Byte);

//Schreibt ein BYte ins EEPROM, Adresse und Byte angeben
void EEPROM_schreiben_adr(unsigned int Adresse, char Byte);

//Liest ein Byte vom EEPROM, Adresse als Parameter
char EEPROM_lesen(unsigned int Adresse);

//lscht den gesamten Inhalt des EEPROM's
void EEPROM_clr(void);

//Lscht das EEPROM ab dieser Adresse
void EEPROM_loeschen(unsigned int Startadresse);

//Setzt die EEPROM-Adresse
void EEPROM_set_adr(unsigned int Adresse);

//Schreibt einen String ins EEPROM, Parameter String
void EEPROM_string(char *s);

//Schreibt einen String ins EEPROM, Parameter String  und Adresse
void EEPROM_string_adr(unsigned int Adresse, char *s);

//Prft den freien Speicher des EEPROMs, Rckgabewert erster freier Speicherplatz.
long int speicherpruefung(long int EEP_SIZE);
